package com.ssj.bean.kmt.kmt.model;

import java.io.Serializable;
import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月9日 上午10:24:53 
 * 类说明 
 */
public class QuestionModel implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5278564732754506546L;
	/**
	 * 科目
	 */
	private  String courseName;
	/**
	 * 备课id(如果是组备课，存kmt_course.group_course_id组备课id)
	 */
	private  String courseId;
	private  String vipId;
	/**
	 * 同步知识点
	 */
	private  List<HowDetailsIds> syHowDetailsId;
	/**
	 * 专题知识点
	 */
	private  List<HowDetailsIds> ztHowDetailsId;
    /**
     * 专题详情id
     */
    private  List<String> specialTopicDetailsId;
	/**
	 * "add"-加难，"sub"-减易
	 */
	private String operate;
	/**
	 * “小试牛刀”数量
	 */
	private Integer num1;
	/**
	 * “习题乐园”数量
	 */
	private Integer num2;
	/**
	 * “实战演练”数量
	 */
	private Integer num3;
	/**
	 * “习题乐园”数量
	 */
	private Integer num4;
	
	
    /**
     * 版本
     */
	private String type;
	/**
	 * 年级
	 */
	private String grade;
    /**
     * 学期
     */
	private String semester;

	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	public List<HowDetailsIds> getSyHowDetailsId() {
		return syHowDetailsId;
	}
	public void setSyHowDetailsId(List<HowDetailsIds> syHowDetailsId) {
		this.syHowDetailsId = syHowDetailsId;
	}
	public List<HowDetailsIds> getZtHowDetailsId() {
		return ztHowDetailsId;
	}
	public void setZtHowDetailsId(List<HowDetailsIds> ztHowDetailsId) {
		this.ztHowDetailsId = ztHowDetailsId;
	}
	public String getCourseId() {
		return courseId;
	}
	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}
	public String getOperate() {
		return operate;
	}
	public void setOperate(String operate) {
		this.operate = operate;
	}
    public List<String> getSpecialTopicDetailsId() {
        return specialTopicDetailsId;
    }
    public void setSpecialTopicDetailsId(List<String> specialTopicDetailsId) {
        this.specialTopicDetailsId = specialTopicDetailsId;
    }

	public Integer getNum1() {
		return num1;
	}

	public void setNum1(Integer num1) {
		this.num1 = num1;
	}

	public Integer getNum2() {
		return num2;
	}

	public void setNum2(Integer num2) {
		this.num2 = num2;
	}

	public Integer getNum3() {
		return num3;
	}

	public void setNum3(Integer num3) {
		this.num3 = num3;
	}

	public Integer getNum4() {
		return num4;
	}

	public void setNum4(Integer num4) {
		this.num4 = num4;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getSemester() {
		return semester;
	}
	public void setSemester(String semester) {
		this.semester = semester;
	}
	
	
}
